<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Question 1</title>

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>

    <link rel="stylesheet" href="style.css" />
  </head>
  <body>
    <div class="container">
      <div class="cl-left">
        <input type="text" id="ipt" />
      </div>
      <div class="cl-middle">
        <select id="isOrnot">
          <option value="isPrime">isPrime</option>
          <option value="isFibonacci">isFibonacci</option>
        </select>
      </div>
      <div class="cl-right" id="result">---</div>
    </div>
  </body>

  <script>
    $(document).ready(function () {
      $("#ipt,#isOrnot").on("change", function () {
        let numIpt = checkIpt();

        if ($("#isOrnot").val() == "isPrime") {
          if (isPrime(numIpt) == true) {
            $("#result").text("true");
          } else {
            $("#result").text("false");
          }
        }
        if ($("#isOrnot").val() == "isFibonacci") {

          if (isFibonacci(numIpt) == true) {
            $("#result").text("true");
          } else {
            $("#result").text("false");
          }
        }
      });
    });

    function checkIpt() {
      let num = $("#ipt").val();
      num = parseFloat(num);
      if (!isNaN(num)) {
        if (num < 0) {
          num = 1;
        } else {
          num = Math.round(num);
        }
      } else {
        num = 1;
      }
      $("#ipt").val(num);
      console.log(num);
      return num;
    }

    function isPrime(num) {
      for (var i = 2; i < num; i++) if (num % i === 0) return false;
      return num > 1;
    }

    function isFibonacci(n) {
      var fib,
        a = 5 * Math.pow(n, 2) + 4,
        b = 5 * Math.pow(n, 2) - 4;

      var result = Math.sqrt(a) % 1 == 0,
        res = Math.sqrt(b) % 1 == 0;

      if (result || res == true) {
        return true;
      } else {
        return false;
      }
    }
  </script>
</html>
